# Uses of Class
org.eclipse.ui.console.MessageConsoleStream

Packages that use MessageConsoleStream
Package
Description
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of MessageConsoleStream in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return MessageConsoleStream
Modifier and Type
Method
Description
`MessageConsoleStream`
MessageConsole.`newMessageStream()`
Returns a new message stream connected to this console.
Methods in org.eclipse.ui.console with parameters of type MessageConsoleStream
Modifier and Type
Method
Description
`protected void`
MessageConsole.`appendToDocument(String text, MessageConsoleStream stream)`
Deprecated.
since 3.1, this method should no longer be called, and has no effect.